---
title: "Live Bing Organic SERP Regular"
url: "https://docs.dataforseo.com/v3/serp/bing/organic/live/regular/"
date: "2026-06-06"
---

## Live Bing Organic SERP Regular

Live SERP provides real-time data on search engine results for the specified keyword, search engine, and location.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/bing/organic/live/regular     

      

Pricing

 Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/bing-organic-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

### Main Parameters

 | Field name | Type | Description |
|---|---|---|
| `keyword` | string | *keyword*   **required field**   you can specify **up to 700 characters** in the `keyword` field   **all %## will be decoded (plus character '+' will be decoded to a space character)**   if you need to use the "%" character for your `keyword`, please specify it as "%25";   if you need to use the “+” character for your `keyword`, please specify it as “%2B”;  learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `location_code` | integer | *search engine location code*   **required field if you don't specify** `location_name` or `location_coordinate`   **if you use this field, you don't need to specify `location_name` or `location_coordinate`**   you can receive the list of available locations of the search engines with their `location_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/bing/locations`   example:   `2840` |
| `language_code` | string | *search engine language code*   **required field if you don't specify** `language_name`   **if you use this field, you don't need to specify `language_name`**   you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/bing/languages`   example:   `en` |
| `depth` | integer | *parsing depth*   optional field   number of results in SERP   default value: `10`   max value: `200`    **Your account will be billed per each SERP containing up to 10 results;**   Setting depth above 10 may result in additional charges [if the search engine returns more than 10 results](https://dataforseo.com/help-center/how-many-results-scraped);   The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/bing-organic-serp-api "Pricing") page. |
| `device` | string | *device type*   optional field   return results for a specific device type   can take the values:`desktop`, `mobile`   default value: `desktop` |

   
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
  ### Additional Parameters

 | Field name | Type | Description |
|---|---|---|
| `location_name` | string | *full name of search engine location*   **required field if you don't specify** `location_code` or `location_coordinate`   **if you use this field, you don't need to specify `location_code` or `location_coordinate`**   you can receive the list of available locations of the search engine with their `location_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/bing/locations`   example:   `London,England,United Kingdom` |
| `language_name` | string | *full name of search engine language*   **required field if you don't specify** `language_code`   **if you use this field, you don't need to specify `language_code`**   you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/bing/languages`   example:   `English` |
| `os` | string | *device operating system*   optional field   if you specify `desktop` in the `device` field, choose from the following values: `windows`, `macos`   default value: `windows`   if you specify `mobile` in the `device` field, choose from the following values: `android`, `ios`   default value: `android` |
| `tag` | string | *user-defined task identifier*   optional field   *the character limit is 255*   you can use this parameter to identify the task and match it with the result   you will find the specified `tag` value in the `data` object of the response |
| `target` | string | *target domain, subdomain, or webpage to get results for*   optional field   a domain or a subdomain should be specified without `https://` and `www.`   note that the results of `target`-specific tasks will only include SERP elements that contain a `url` string;   you can also use a wildcard (‘\*’) character to specify the search pattern in SERP and narrow down the results;   examples:   **`example.com`** - returns results for the website's home page with URLs, such as `https://example.com`, or `https://www.example.com/`, or `https://example.com/`;   **`example.com*`** - returns results for the domain, including all its pages;   **`*example.com*`** - returns results for the entire domain, including all its pages and subdomains;   **`*example.com`** - returns results for the home page regardless of the subdomain, such as `https://en.example.com`;   **`example.com/example-page`** - returns results for the exact URL;   **`example.com/example-page*`** - returns results for all domain's URLs that start with the specified string |
| `stop_crawl_on_match` | array | *array of targets to stop crawling*   optional field   specified as an array of target objects   each target object consists of one `match_type` field and one `match_value` field   **you can specify up to 10 target objects in this array**   if specified, the response will contain SERP results up to and including the specified `match_value`;   example:   `"stop_crawl_on_match":[{"match_value":"dataforseo.com","match_type":"with_subdomains"}]`   learn more about this parameter on our [Help Center](https://dataforseo.com/help-center/using-the-stop_crawl_on_match-parameter-in-serp-api)    **Your account will be billed for every SERP crawled until the conditions you specified in this array are met** |
| `match_type` | string | *target match type*   **required field if `stop_crawl_on_match` is specified**   type of match for the `match_value`   possible values:   `domain` – specific domain or subdomain   `with_subdomains` – main domain and subdomains   `wildcard` – wildcard pattern |
| `match_value` | string | *target domain, subdomain, or wildcard value*   **required field if `stop_crawl_on_match` is specified**   specify a target domain, subdomain, or wildcard value;   **Note:** domain or subdomain must be specified without a request protocol;   example: `"match_value": "dataforseo.com"`,   `"match_value": "/blog/post-*"` |
| `max_crawl_pages` | integer | *page crawl limit*   optional field   number of search results pages to crawl   default value: `1`   max value: `100`   **Note:** the `max_crawl_pages` and `depth` parameters complement each other;   learn more at [our help center](https://dataforseo.com/help-center/what-is-max-crawl-pages-and-how-does-it-work) |
| `search_param` | string | *additional parameters of the search query*   optional field   [get the list of available parameters and additional details here](https://dataforseo.com/what-are-google-search-parameters-and-how-to-use-them-with-serp-api.html) |
| `url` | string | *direct URL of the search query*   optional field   you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.   example:   `https://www.bing.com/search?q=rank%20checker&count=50&first=1&setlang=en&cc=US&safesearch=Moderate&FORM=SEPAGE` |
| `location_coordinate` | string | *GPS coordinates of a location*   **required field if you don't specify** `location_name` or `location_code`   **if you use this field, you don't need to specify `location_name` or `location_code`**   `location_coordinate` parameter should be specified in the *"latitude,longitude"* format   the maximum number of decimal digits for *"latitude"* and *"longitude"*: 7   example:   `53.476225,-2.243572` |

    
  
  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks. **Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`**array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *unique task identifier in our system*   in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the **`result`** array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array*   **keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type in a POST array* |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `check_url` | string | *direct URL to search engine results* you can use it to make sure that we provided exact results |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `spell` | object | *autocorrection of the search engine*   if the search engine provided results for a keyword that was corrected, we will specify the keyword corrected by the search engine and the type of autocorrection |
| `refinement_chips` | object | *search refinement chips*   equals `null` |
| `keyword` | string | *keyword obtained as a result of search engine autocorrection*   the results will be provided for the corrected keyword |
| `type` | string | *type of autocorrection*   possible values:   `including_results_for` |
| `item_types` | array | *types of search results in SERP*   contains types of search results (`items`) found in SERP.   possible item types: `organic`, `paid` |
| `se_results_count` | integer | *total number of results in SERP* |
| `pages_count` | integer | *total pages retrieved*   total number of retrieved SERPs in the result |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *items in SERP* |
| **‘organic’ element in SERP** |  |  |
| `type` | string | *type of element = **‘organic’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `domain` | string | *domain in SERP* |
| `title` | string | *title of the result in SERP* |
| `description` | string | *description of the results element in SERP* |
| `url` | string | *relevant URL in SERP* |
| `breadcrumb` | string | *breadcrumb in SERP* |
| **‘paid’ element in SERP** |  |  |
| `type` | string | *type of element = **‘paid’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `domain` | string | *domain of the Ad element in SERP* |
| `title` | string | *title of the Ad element in SERP* |
| `description` | string | *description of the Ad element in SERP* |
| `url` | string | *relevant URL of the Ad element in SERP* |
| `breadcrumb` | string | *breadcrumb of the Ad element in SERP* |
| **‘related\_searches’ element in SERP** |  |  |
| `type` | string | *type of element = **‘related\_searches’*** |
| `rank_group` | integer | *group rank in SERP*   position within a group of elements with identical `type` values   positions of elements with different `type` values are omitted from `rank_group` |
| `rank_absolute` | integer | *absolute rank in SERP*   absolute position among all the elements in SERP |
| `page` | integer | *search results page number*   indicates the number of the SERP page on which the element is located |
| `items` | array | *items inside the element*   array of 8 search queries related to the keyword |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/bing/organic/live/regular" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
	"language_code" => "en",
	"location_code" => 2840,
	"keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
try {
	// POST /v3/serp/bing/organic/live/regular
	// in addition to 'bing' and 'organic' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$result = $client->post('/v3/serp/bing/organic/live/regular', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/bing/organic/live/regular',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword": encodeURI("albert einstein"),
        "language_code": "en",
        "location_code": 2840
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    language_code="en",
    location_code=2840,
    keyword="albert einstein"
)
# POST /v3/serp/bing/organic/live/regular
# in addition to 'bing' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/bing/organic/live/regular", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_regular()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                language_code = "en",
                location_code = 2840,
                keyword = "albert einstein"
            });
            // POST /v3/serp/bing/organic/live/regular
            // in addition to 'bing' and 'organic' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/bing/organic/live/regular", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20220104",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "9.1028 sec.",
  "cost": 0.003,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "01041715-1535-0121-0000-032d6eeb0564",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "9.0510 sec.",
      "cost": 0.003,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "bing",
        "organic",
        "live",
        "regular"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "bing",
        "se_type": "organic",
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "albert einstein",
          "type": "organic",
          "se_domain": "bing.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://www.bing.com/search?q=albert%20einstein&count=50&first=1&setlang=en&cc=US&safesearch=Moderate&form=QBLH",
          "datetime": "2022-01-04 15:15:17 +00:00",
          "spell": null,
          "refinement_chips": null,
          "item_types": [
            "organic",
            "related_searches",
            "paid"
          ],
          "se_results_count": 5099,
          "pages_count": 1,
          "items_count": 103,
          "items": [
            {
              "type": "organic",
              "rank_group": 1,
              "rank_absolute": 1,
              "page": 1,
              "domain": "www.nobelprize.org",
              "title": "Albert Einstein - Biographical - NobelPrize.org",
              "description": "Albert Einstein Biographical Questions and Answers on Albert Einstein. A lbert Einstein was born at Ulm, in Württemberg, Germany, on March 14, 1879. Six weeks later the family moved to Munich, where he later on began his schooling at the Luitpold Gymnasium.",
              "url": "https://www.nobelprize.org/prizes/physics/1921/einstein/biographical/",
              "breadcrumb": "https://www.nobelprize.org/prizes/physics/1921/einstein/biographical"
            },
            {
              "type": "paid",
              "rank_group": 1,
              "rank_absolute": 100,
              "page": 1,
              "domain": "www.thriftbooks.com",
              "title": "Albert Einstein",
              "description": "20% Off Referral Discount · Books As Low As $3.59 · Browse Bestsellers · Shop +13 Million Books",
              "url": "https://www.thriftbooks.com/a/albert-einstein/203164/?mkwid=%7Cdc&pcrid=76622231541128&pkw=books&pmt=bb&slid=&product=&plc=&pgrid=1225955493531713&ptaid=dat-76622236882576:loc-190&utm_source=bing&utm_medium=cpc&utm_campaign=Bing%20%7C%20Search%20%7C%20Dynamic%20Search%20Ad%20Test&utm_term=books&utm_content=%7Cdc%7Cpcrid%7C76622231541128%7Cpkw%7Cbooks%7Cpmt%7Cbb%7Cproduct%7C%7Cslid%7C%7Cpgrid%7C1225955493531713%7Cptaid%7Cdat-76622236882576:loc-190%7C&msclkid=c4b282514bb51cde5bdee3852f30287e",
              "breadcrumb": "https://www.thriftbooks.com"
            },
            {
              "type": "related_searches",
              "rank_group": 2,
              "rank_absolute": 103,
              "page": 1,
              "items": [
                "albert einstein famous for",
                "einstein question quote",
                "albert einstein childhood story",
                "albert einstein inventions",
                "early life of albert einstein",
                "albert einstein short bio",
                "albert einstein history",
                "albert einstein's childhood life"
              ]
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp